/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.liveconsole;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.ow2.petals.tools.webadmin.ui.administration.InstallComponent;
import org.ow2.petals.tools.webadmin.ui.infra.action.AuthentifiedAction;

/**
 * @author mcarpentier
 * This class is obsolete : components have to be retrieve and associated with endpoints, not Service assemblies.
 *
 */
public class GetServers extends AuthentifiedAction {

    final Logger log = Logger.getLogger(GetServers.class);

    private static final String actionTitle = "get PEtALS servers";

	@Override
	public ActionForward executeAuthentified(ActionMapping iActionMapping,
			ActionForm iActionForm, HttpServletRequest iServletRequest,
			HttpServletResponse iServletResponse){
	    
	    /**
		AdminSession adminSession = AdminSession
				.getAdminSession(iServletRequest.getSession());
		
		List<ServerLVO> servers = new ArrayList<ServerLVO>();
		try {

			NewJMXService jmxService = NewJMXService.getJmxService();
			// retrieve servers
			List<ServerConfiguration> serversList = jmxService
					.getStartedServersList();
			for (ServerConfiguration currentServer : serversList) {

				String serverName = currentServer.getName();
				ServerLVO server = new ServerLVO(serverName);

				// retrieve server's components
				Map<String, JBIEntity> serverComponents = jmxService
						.getComponents(serverName);
				if (serverComponents != null) {
					for (String s : serverComponents.keySet()) {
						JBIEntity component = serverComponents.get(s);

						Map<String, JBIEntity> serverSAS = jmxService
								.getServicesAssembliesForComponent(serverName,
										component.getName());
						ComponentLVO componentLVO = new ComponentLVO(component
								.getName(), component.getState());
						componentLVO.setType(component.getType());
						for (JBIEntity entity : serverSAS.values()) {
							ServiceAssemblyLVO sa = new ServiceAssemblyLVO(
									entity.getName(), entity.getState());
							sa.setDescription(entity.getDescription());
							sa.setType(entity.getType());
							componentLVO.addServiceAssembly(sa);
						}
						
						

						server.addComponent(componentLVO);
					}
				}

				servers.add(server);
			}

			DynaActionForm form = (DynaActionForm) iActionForm;
			form.set("servers", servers);

		} catch (Exception e) {
			ActionMessages am = new ActionMessages();
			am.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"webconsole.exception", e.getMessage()));
			saveErrors(iServletRequest, am);
			return iActionMapping.findForward("failure");
		}
		**/
		return iActionMapping.findForward("success");

	}
}
